local fn = _gn(0xf44bfb95)
--- **Experimental**: This native may be altered or removed in future versions of CitizenFX without warning.
-- Registers a file from an URL as a streaming asset in the GTA streaming subsystem. This will asynchronously register the asset, and caching is done based on the URL itself - cache headers are ignored.
-- Use `IS_STREAMING_FILE_READY` to check if the asset has been registered successfully.
-- @param registerAs The file name to register as, for example `asset.ydr`.
-- @param url The URL to fetch the asset from.
function Global.RegisterStreamingFileFromUrl(registerAs, url)
	return _in2(fn, _ts(registerAs), _ts(url))
end
